> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update NeetoChat setting

> Show or hide the NeetoChat widget on the public page of the form.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/form-settings.yaml PATCH /forms/{form_id}/neeto_chat
openapi: 3.0.3
info:
  title: NeetoForm Form Settings APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/neeto_chat:
    patch:
      tags:
        - NeetoChat
      summary: Update NeetoChat setting
      description: Show or hide the NeetoChat widget on the public page of the form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - neeto_chat
              properties:
                neeto_chat:
                  type: object
                  required:
                    - enabled
                  properties:
                    enabled:
                      type: boolean
                      description: Show the widget.
                      example: true
      responses:
        '200':
          description: OK - Setting updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/neeto_chat_response'
        '400':
          $ref: '#/components/responses/response_missing_body'
        '404':
          $ref: '#/components/responses/response_form_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    neeto_chat_response:
      type: object
      properties:
        neeto_chat:
          type: object
          properties:
            enabled:
              type: boolean
              example: false
    error_response:
      type: object
      properties:
        error:
          type: string
  responses:
    response_missing_body:
      description: Bad Request - The request body is missing its root key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.